[Fusionforge-commits] FusionForge branch master updated. f540227510d3bcb72ccbe64fab9950e7227f59ee

Roland Mas lolando at fusionforge.org
Thu Nov 27 18:30:49 CET 2014


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, master has been updated
       via  f540227510d3bcb72ccbe64fab9950e7227f59ee (commit)
      from  d730eaa0cf303ead5cd4b73cfa95cd6460f3c9b9 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit f540227510d3bcb72ccbe64fab9950e7227f59ee
Author: Roland Mas <lolando at debian.org>
Date:   Thu Nov 27 18:30:42 2014 +0100

    Improve performance of the database server on the buildbot (where we can afford losing data)

diff --git a/tests/func/db_reload.sh b/tests/func/db_reload.sh
index 96f5e0a..4bf338e 100755
--- a/tests/func/db_reload.sh
+++ b/tests/func/db_reload.sh
@@ -159,6 +159,13 @@ if [ -d $dbdir.backup ]; then
     rm -rf $dbdir
     cp -a --reflink=auto $dbdir.backup $dbdir
 
+    pg_conf=$(ls /etc/postgresql/*/*/postgresql.conf /var/lib/pgsql/data/postgresql.conf 2>/dev/null | tail -1)
+
+    for i in fsync synchronous_commit full_page_writes ; do
+	if ! grep -q "^$i\b" $pg_conf; then
+	    echo "$i = off" >> $pg_conf
+	fi
+    done
 else
     # We will restore from the dump, then perform a backup so that it's there next time
     sleep 3

-----------------------------------------------------------------------

Summary of changes:
 tests/func/db_reload.sh |    7 +++++++
 1 file changed, 7 insertions(+)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list